Promoții · Actualizează
Editează promoțiile.
PATCH
/api/v1/discounts/promotions/{identity}Cerere cURL
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request PATCH \
--url https://shop.onshopently.com/api/v1/discounts/promotions/example-campaign \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
--header 'Idempotency-Key: learn-update_campaign_api_v1_discounts_promotions__identity__patch' \
--header 'Content-Type: application/json' \
--data-raw '{"expected_version":1,"markets":[{"currency":"PLN","market_id":"poland","minor_units":2}],"name":"Autumn guide offer"}'
Răspuns
{
"data": {
"deleted": false,
"id": "example-campaign",
"version": null
},
"meta": {
"locale": "example",
"market_code": "example",
"market_id": "poland",
"pagination": {
"has_more": false,
"limit": 1,
"next_cursor": null
},
"request_id": "learn-example-request"
}
}
Permisiuni necesare
- Autentificare
- Token de acces
- Disponibil începând cu
- STANDARD
- Permisiunea cheii
- Editează promoțiile
discounts.promotions:update